# Generated by Django 2.2.4 on 2019-08-22 08:56

import app.models
from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import phonenumber_field.modelfields
import uuid


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Category',
            fields=[
                ('name', models.CharField(max_length=64)),
                ('slug', models.SlugField(max_length=64, primary_key=True, serialize=False)),
            ],
        ),
        migrations.CreateModel(
            name='Item',
            fields=[
                ('uuid', models.UUIDField(default=uuid.uuid4, primary_key=True, serialize=False)),
                ('iid', models.IntegerField(default=app.models.generateIID, unique=True)),
                ('name', models.CharField(max_length=128)),
                ('description', models.TextField(max_length=2048, verbose_name='Beschreibung')),
                ('status', models.IntegerField(choices=[(-1, 'Not public'), (0, 'Not stolen'), (1, 'Stolen'), (2, 'Legal change of ownership')], default=0)),
                ('stolen_on', models.DateTimeField(blank=True, null=True, verbose_name='Zeitpunkt des Diebstahls')),
                ('stolen_at', models.TextField(blank=True, null=True, verbose_name='Ort des Diebstahls')),
                ('cats', models.ManyToManyField(to='app.Category', verbose_name='Kategorien')),
                ('owner', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.CreateModel(
            name='Report',
            fields=[
                ('uuid', models.UUIDField(default=uuid.uuid4, primary_key=True, serialize=False)),
                ('name', models.CharField(max_length=128)),
                ('mail', models.EmailField(max_length=254, verbose_name='E-Mail')),
                ('phone', phonenumber_field.modelfields.PhoneNumberField(max_length=128, verbose_name='Telefon')),
                ('found_on', models.DateTimeField(verbose_name='Fundzeitpunkt')),
                ('found_at', models.TextField(verbose_name='Fundort')),
                ('message', models.TextField(verbose_name='Details')),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('item', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='app.Item')),
            ],
        ),
        migrations.CreateModel(
            name='UserProfile',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('anonymised', models.BooleanField(default=False)),
                ('avatar', models.ImageField(blank=True, null=True, upload_to='')),
                ('company', models.CharField(blank=True, max_length=64, null=True)),
                ('address', models.TextField(blank=True, max_length=128, null=True)),
                ('zipcode', models.CharField(blank=True, max_length=16, null=True)),
                ('city', models.CharField(blank=True, max_length=128, null=True)),
                ('country', models.CharField(blank=True, max_length=32, null=True)),
                ('mobile', phonenumber_field.modelfields.PhoneNumberField(blank=True, max_length=128, null=True)),
                ('user', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.CreateModel(
            name='ReportImages',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('image', models.ImageField(upload_to='')),
                ('report', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='app.Report')),
            ],
        ),
        migrations.CreateModel(
            name='Image',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('image', models.ImageField(upload_to=app.models.get_file_path, verbose_name='Bilddatei')),
                ('description', models.TextField(blank=True, null=True, verbose_name='Beschreibung')),
                ('primary', models.BooleanField(default=False, verbose_name='Als Hauptbild festlegen')),
                ('item', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='app.Item')),
            ],
        ),
    ]
